Package org.eclipse.rdf4j.repository.sail.helpers

## Class SailUpdateExecutor

- java.lang.Object
- - org.eclipse.rdf4j.repository.sail.helpers.SailUpdateExecutor

-     public class SailUpdateExecutor
      extends Object

  Implementation of `SailUpdate.execute()` using `SailConnection.evaluate(TupleExpr, Dataset, BindingSet, boolean)` and other `SailConnection` methods. LOAD is handled at the Repository API level because it requires access to the Rio parser.
  Author:
    jeen, James Leigh
  See Also:
    `SailConnection.startUpdate(UpdateContext)`, `SailConnection.endUpdate(UpdateContext)`, `SailConnection.addStatement(UpdateContext, Resource, IRI, Value, Resource...)`, `SailConnection.removeStatement(UpdateContext, Resource, IRI, Value, Resource...)`, `SailConnection.clear(Resource...)`, `SailConnection.getContextIDs()`, `SailConnection.getStatements(Resource, IRI, Value, boolean, Resource...)`, `SailConnection.evaluate(TupleExpr, Dataset, BindingSet, boolean)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SailUpdateExecutor​(SailConnection con, ValueFactory vf, ParserConfig loadConfig)` | Implementation of `SailUpdate.execute()` using `SailConnection.evaluate(TupleExpr, Dataset, BindingSet, boolean)` and other `SailConnection` methods.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `executeAdd​(Add add, UpdateContext uc, int maxExecTime)` |
    `protected void` | `executeClear​(Clear clearExpr, UpdateContext uc, int maxExecutionTime)` |
    `protected void` | `executeCopy​(Copy copy, UpdateContext uc, int maxExecutionTime)` |
    `protected void` | `executeCreate​(Create create, UpdateContext uc)` |
    `protected void` | `executeDeleteData​(DeleteData deleteDataExpr, UpdateContext uc, int maxExecutionTime)` |
    `protected void` | `executeInsertData​(InsertData insertDataExpr, UpdateContext uc, int maxExecutionTime)` |
    `protected void` | `executeLoad​(Load load, UpdateContext uc)` |
    `protected void` | `executeModify​(Modify modify, UpdateContext uc, int maxExecutionTime)` |
    `protected void` | `executeMove​(Move move, UpdateContext uc, int maxExecutionTime)` |
    `void` | `executeUpdate​(UpdateExpr updateExpr, Dataset dataset, BindingSet bindings, boolean includeInferred, int maxExecutionTime)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SailUpdateExecutor

          public SailUpdateExecutor​(SailConnection con,
                                    ValueFactory vf,
                                    ParserConfig loadConfig)

      Implementation of `SailUpdate.execute()` using `SailConnection.evaluate(TupleExpr, Dataset, BindingSet, boolean)` and other `SailConnection` methods.
      Parameters:
        `con` - Used to read data from and write data to.
        `vf` - Used to create `BNode`s
        `loadConfig` -

  - ### Method Detail

    - #### executeUpdate

          public void executeUpdate​(UpdateExpr updateExpr,
                                    Dataset dataset,
                                    BindingSet bindings,
                                    boolean includeInferred,
                                    int maxExecutionTime)
                             throws SailException,
                                    RDFParseException,
                                    IOException

      Parameters:
        `maxExecutionTime` - in seconds.
      Throws:
        `SailException`
        `RDFParseException`
        `IOException`

    - #### executeLoad

          protected void executeLoad​(Load load,
                                     UpdateContext uc)
                              throws IOException,
                                     RDFParseException,
                                     SailException

      Throws:
        `IOException`
        `RDFParseException`
        `SailException`

    - #### executeCreate

          protected void executeCreate​(Create create,
                                       UpdateContext uc)
                                throws SailException

      Throws:
        `SailException`

    - #### executeCopy

          protected void executeCopy​(Copy copy,
                                     UpdateContext uc,
                                     int maxExecutionTime)
                              throws SailException

      Parameters:
        `copy` -
        `uc` -
      Throws:
        `SailException`

    - #### executeAdd

          protected void executeAdd​(Add add,
                                    UpdateContext uc,
                                    int maxExecTime)
                             throws SailException

      Parameters:
        `add` -
        `uc` -
      Throws:
        `SailException`

    - #### executeMove

          protected void executeMove​(Move move,
                                     UpdateContext uc,
                                     int maxExecutionTime)
                              throws SailException

      Parameters:
        `move` -
        `uc` -
      Throws:
        `SailException`

    - #### executeClear

          protected void executeClear​(Clear clearExpr,
                                      UpdateContext uc,
                                      int maxExecutionTime)
                               throws SailException

      Parameters:
        `clearExpr` -
        `uc` -
      Throws:
        `SailException`

    - #### executeInsertData

          protected void executeInsertData​(InsertData insertDataExpr,
                                           UpdateContext uc,
                                           int maxExecutionTime)
                                    throws SailException

      Parameters:
        `insertDataExpr` -
        `uc` -
      Throws:
        `SailException`

    - #### executeDeleteData

          protected void executeDeleteData​(DeleteData deleteDataExpr,
                                           UpdateContext uc,
                                           int maxExecutionTime)
                                    throws SailException

      Parameters:
        `deleteDataExpr` -
        `uc` -
      Throws:
        `SailException`

    - #### executeModify

          protected void executeModify​(Modify modify,
                                       UpdateContext uc,
                                       int maxExecutionTime)
                                throws SailException

      Throws:
        `SailException`